package org.jbpm;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.jbpm.pvm.PvmTests;
import org.jbpm.wire.WireTests;
import org.jbpm.xml.WireXmlTests;

/** these are the tests that can be run stand alone and 
 * they only have a dependency on junit and the JVM.
 * 
 * @author Tom Baeyens
 */
public class StandaloneTests {

  public static Test suite() {
    TestSuite suite = new TestSuite("memory test suite");
    //$JUnit-BEGIN$
    suite.addTest(PvmTests.suite());
    suite.addTest(WireTests.suite());
    suite.addTest(WireXmlTests.suite());
    //$JUnit-END$
    return suite;
  }

}
